import numpy as np
import matplotlib.pyplot as plt

PI = 3.1416

#Liste des fréquences : 
frequence = [440, 880, 1320, 1760] 

#Liste des amplitudes :
amplitude = [1, 0.6, 0.1, 0.1]

t = np.linspace(0, 5/frequence[0], 1000) # crée 1000 valeurs de t comprises entre 0 et la valeur de 5 périodes

# Calcul des valeurs du signal à afficher :
y1 = amplitude[0]*np.cos(2*PI*frequence[0]*t) 
y2 = amplitude[0]*np.cos (2*PI*frequence[0]*t) + amplitude[1]*np.cos (2*PI*frequence[1]*t) + amplitude[2]*np.cos (2*PI*frequence[2]*t) + amplitude[3]*np.cos (2*PI*frequence[3]*t)


fig = plt.figure(1, figsize=(15, 5))

#Tracé du graphique temporel 
plt.subplot (121)
plt.title ('évolution temporelle')
plt.ylim (1.5*min(y2), 1.5*max(y2))
plt.plot(t, y1, "--", label='signal sinsoïdal')
plt.plot(t, y2, "purple", label='signal complexe')
plt.ylabel('signal')
plt.xlabel("temps en s")
plt.legend()

#Tracé du spectre
plt.subplot (122)
plt.xlim (0, 1.25*max(frequence))
plt.xlabel ('fréquence')
plt.ylabel ('amplitude')
plt.title ('spectre de fréquence')
plt.bar(frequence, amplitude, width=20)

plt.show() # affiche la figure a l'ecran